﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Roles</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Roles</h1>
        <p>A user with admin privileges can create roles.&#160;You can create one or more roles and associate the entitlements as per requirement. For example, you can create the Saviynt Manager role and associate appropriate entitlements to add permissions to it.</p>
        <p><strong>Identity Governance and Administration (IGA)</strong>&#160;also provides&#160;you the ability to import roles from the target&#160;application using import job or can upload a role from role management.&#160;</p>
        <p>To create a new role in IGA, perform the following steps:</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Identity Repository</strong>, click <strong>Roles</strong>.<br />The <strong>Role List</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the&#160;<strong>Actions</strong>&#160;arrow, and then select&#160;<strong>Create Role.<br /></strong>The&#160;<strong style="text-decoration: none;text-align: left;">Create Role</strong> page is displayed.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Specify the parameters.</p>
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 145.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 612.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Role Name</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the appropriate role name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Description</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the description of the role.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Display Name</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the appropriate display name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Glossary</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the appropriate glossary.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Status</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the current status of the role.</p>
                                <p class="table-text">The following options are available:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Active: </strong>It indicates the role is active and can be assigned to users.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Inactive: </strong>This indicates the role is inactive and cannot be assigned.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Custom Property 1 to 5</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter custom property that can be added for the role.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Level</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the hierarchy level of this role.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Sox Critical</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the SOX criticality of the role.</p>
                                <p class="table-text">The following options are available:</p>
                                <ul>
                                    <li>
                                        <p class="table-text">None</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Very Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Medium</p>
                                    </li>
                                    <li>
                                        <p class="table-text">High</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Critical</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Sys Critical</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the SYS criticality of the role.</p>
                                <p class="table-text">The following options are available:</p>
                                <ul>
                                    <li>
                                        <p class="table-text">None</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Very Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Medium</p>
                                    </li>
                                    <li>
                                        <p class="table-text">High</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Critical</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Privileged</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the privileged criticality of the role which describes privileges assigned to the role and amount of risk to provide access to this role.</p>
                                <p class="table-text">The following options are available:</p>
                                <ul>
                                    <li>
                                        <p class="table-text">None</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Very Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Medium</p>
                                    </li>
                                    <li>
                                        <p class="table-text">High</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Critical</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Confidential</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the confidentiality of this role.</p>
                                <p class="table-text">The following options are available:</p>
                                <ul>
                                    <li>
                                        <p class="table-text">None</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Very Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Low</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Medium</p>
                                    </li>
                                    <li>
                                        <p class="table-text">High</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Critical</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Role Type</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <div class="content-wrapper">
                                    <p>Displays the type of role being created.</p>
                                    <p>The following&#160;options are available:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Enabler:&#160;</strong>Enabler role type is specifically used for Active Directory (AD) application to create&#160;AD Groups.&#160;Enabler role type was the primitive approach to create AD groups.&#160;&#160;<br /></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Transactional:</strong>&#160;The transactional role type is a tag and does not have any real significance.<br /></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Emergency Access:</strong>&#160;Emergency Access roles have access or entitlements across multiple applications in an organization.&#160;Emergency Access roles are time-bound and they can be requested only for a particular time period. IGA provides the industry’s leading&#160;Emergency Access management capabilities with the ability to request (integrated with workflow) and provision privileged access to the relevant application for business emergencies. A key distinguishing feature&#160;is that&#160;complete traceability of&#160;Emergency Access is retained since elevated access is temporarily granted to user’s existing account.&#160;<br />Emergency Access role is temporarily assigned to a user upon request, to replace another user on leave and manage their responsibilities. Usually, this role entails privileged access within an application. The&#160;Emergency Access role for a user is requested for a stipulated time frame. The start date and end date are defined during the request and the Emergency access is&#160;revoked as soon as the end date is reached.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Enterprise:&#160;</strong>Enterprise role encompasses entitlements that span across multiple endpoints.&#160;You can configure the setup of roles and the security permissions provided for the roles.&#160;As an admin, you can request access for one or more users to the enterprise roles. You can also request to revoke or remove the users at any time. A valid user with an&#160;account&#160;in any application is&#160;the prerequisite&#160;for requesting an&#160;enterprise role.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Application:&#160;</strong>Application Role is limited and provided only for one application. Application roles do not span more than one application.<br /></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Entitlement:&#160;</strong>Entitlement Role type is mainly used for Active Directory application. To manage nested AD Groups from IGA to AD application for IGA Versions till 5.3.1 'Entitlement Role Type' is used.&#160;Nested AD groups are a composition of a parent group (parent entitlements - which is a member of type in AD) and a child group(s) which can be one or more than one child group(s) (child entitlement - which is a member type in AD). The entitlement role type was the enhanced approach to create AD groups after v5.3.0. An Entitlement Role is created, using <strong>Admin &gt; Identity Repository &gt; Role &gt; Create Role&#160;</strong>and once a role is created, you can add the child groups (which are pre-existing in IGA) using&#160;<strong>Roleshow</strong> page <strong>&gt;&#160;Entitlement&#160;tab</strong>.&#160;&#160;</p>
                                            <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
                                                <p class="note">Entitlement Role type usage is only till IGA Release v5.3.1.&#160;If you want to manage AD Groups with enhanced capabilities, from IGA Version 5.3.2 onwards, you must use the&#160;<strong>ARS &gt; Create New Role &gt; Create AD Groups</strong>&#160;(AD Group Management) feature. AD Group framework additionally allows you to create child groups as well as assign owners in one request, which was not possible earlier using the Entitlement Role type implementation. </p>
                                                <p class="note" MadCap:conditions="Default.v2020X">For more information about AD Group management, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ad-grp.htm" pubname="IGA-User-Guide-v2020x" class="peer">Managing Active Directory Groups</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
                                                <p class="note" MadCap:conditions="Default.v2021X">For more information about AD Group management, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ad-grp.htm" pubname="IGA-User-Guide-v2021x" class="peer">Managing Active Directory Groups</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Default Time Frame</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Provide a default time frame in number of hours after which the role automatically becomes inactive. For example, a value of 2 means the role will be active only for two hours.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Requestable</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Specify if you want the users to request for the role. The options are:</p>
                                <p class="table-text"><strong>True</strong>: Makes the role requestable.</p>
                                <p class="table-text"><strong>False</strong>: Makes the role non-requestable.</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>Once the parameters are added, click <strong>Create.</strong></li>
            <li>On submission, the following tabs appear in the <strong>Role Show</strong>. You can add or remove or modify the attributes and parameter values in the appropriate tabs. You can access the newly created role from the <strong>Role List</strong>.</li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The Version, Role Changes, and Role Approval pages (from&#160;<strong style="text-align: left;">Admin &gt; Identity Repository &gt; Roles</strong>)&#160; now display system time (and not UTC time).</p>
        </div>
        <h2 id="CreatingRoles-RoleDetailTab">Role Detail Tab</h2>
        <p class="auto-cursor-target">The following table explains the parameters in the<strong> Role Detail </strong>tab in the<strong> Role Show </strong>page:</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Role Name</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the role name. You can change the role name, as required.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Description</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the description of the role. You can change the description, as required.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Display Name</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the display name.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Glossary</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the Glossary about the role.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Status</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the current status of the role.</p>
                        <p class="table-text">The following&#160;options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>Active: </strong>Indicates the role is active and you can assign this to the users.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Inactive: </strong>Indicates the role is inactive and cannot assign it to the users.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Risk</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the risk level specified for the role required during the segregation of duties based on the roles.</p>
                        <p class="table-text">The following&#160;options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">None</p>
                            </li>
                            <li>
                                <p class="table-text">Very Low</p>
                            </li>
                            <li>
                                <p class="table-text">Low</p>
                            </li>
                            <li>
                                <p class="table-text">Medium</p>
                            </li>
                            <li>
                                <p class="table-text">High</p>
                            </li>
                            <li>
                                <p class="table-text">Critical</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Update User</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the user who last updated the role.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Update Date</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the date when the role was last updated.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">SOX Critical</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the level of roles or policies critically compliant with Sarbanes-Oxley IT regulations.</p>
                        <p class="table-text">The following&#160;options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">None</p>
                            </li>
                            <li>
                                <p class="table-text">Very Low</p>
                            </li>
                            <li>
                                <p class="table-text">Low</p>
                            </li>
                            <li>
                                <p class="table-text">Medium</p>
                            </li>
                            <li>
                                <p class="table-text">High</p>
                            </li>
                            <li>
                                <p class="table-text">Critical</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Sys Critical</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Defines the criticality level of roles within the system.</p>
                        <p class="table-text">The following&#160;options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">None</p>
                            </li>
                            <li>
                                <p class="table-text">Very Low</p>
                            </li>
                            <li>
                                <p class="table-text">Low</p>
                            </li>
                            <li>
                                <p class="table-text">Medium</p>
                            </li>
                            <li>
                                <p class="table-text">High</p>
                            </li>
                            <li>
                                <p class="table-text">Critical</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Privileged</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the privilege mapped to the role and the criticality to provide access to the role during the approval process.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Confidentiality</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the level of confidentiality the role carries, helpful for the role owner to approve or reject the requests based on this parameter.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Role Type</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the appropriate role type. Refer to the preceding table for the description of these roles.</p>
                        <p class="table-text">The following options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">Enabler</p>
                            </li>
                            <li>
                                <p class="table-text">Transactional</p>
                            </li>
                            <li>
                                <p class="table-text">Emergency Access</p>
                            </li>
                            <li>
                                <p class="table-text">Enterprise</p>
                            </li>
                            <li>
                                <p class="table-text">Application</p>
                            </li>
                            <li>
                                <p class="table-text">Entitlement</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Default Time Frame</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the default time frame (in hours) to request access for a role. Ensure that the default time frame should not exceed the specified Maximum Time Frame.</p>
                        <p class="table-text">For example, since the Emergency Access role is time-bound, admin can assign a time frame for working on the role.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Requestable</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify if you want the users to request for the role. The options are:</p>
                        <p class="table-text"><strong>Yes: </strong>Makes the role requestable.</p>
                        <p class="table-text"><strong>No: </strong> Makes the role non-requestable.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Endpoint</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the endpoint name&#160;associated with this role.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Show Dynamic Attributes</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the dynamic attributes associated with the role.&#160;For example, there is a Dynamic Attribute A, which is Boolean set as Yes and No.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Maximum Time Frame</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Specify the maximum time frame (in hours) to be allowed to request a role. The maximum time frame should always be greater than the default time frame. The administrators can specify the default time frame based on the number of hours specified in this parameter.<br />For example, specify this parameter as <strong>24&#160;</strong>to restrict users from requesting a role access for more than 24 hours.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2 class="auto-cursor-target" id="CreatingRoles-OtherAttributeTab">Other Attribute Tab</h2>
        <p>This tab holds the list of custom properties defined for the role. These custom properties can be&#160;differentiating factor while the admin or user searches for a particular role.&#160;<br />For example, in a multi-national organization spread across the globe having multiple teams, the differentiating factors defining a role can be country, team, designation, ZIP code, passport-issuing country and so on. These parameters can be listed under custom properties for narrowing down the search. You can add up to 60 custom properties.</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" style="width: 678px;" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Custom Property 1 to Custom Property 60</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Enter the custom property.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2 id="CreatingRoles-RoleOwnerTab">Role Owner Tab</h2>
        <p>Use this tab to manage the role owner for the role. This tab displays the role owner details in the columns such as User Name, Rank, First Name, Last Name, Employee Type, City, Title, Display Name, Display Number, Employee Class, Email, Comments, End Date.</p>
        <h4 id="CreatingRoles-AddingRoleOwners">Adding Role Owners</h4>
        <p>You can assign a role owner to the role. The role owner is responsible for approving the role requests by a user, considering the user's requirement to access and manage the application.&#160;<br />To add a new role owner, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <strong>Edit Role</strong> button for the desired role.&#160;</li>
            <li>Select  &#160;<strong>Role Owner</strong>&#160;tab.</li>
            <li>Click&#160;<strong>Actions</strong>&#160;and select&#160;<strong>Add Role Owner.</strong></li>
            <li>Select the role owner from the list page and click&#160;<strong>Save.</strong></li>
        </ol>
        <p>Newly added role owner can be viewed from the <strong>Role Owner</strong> tab.</p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">You&#160;can also modify the ranks of the role owner, the ranks assigned to a role owner is only utilized during the workflow. While designing a workflow for request access of a role by a user, the request first reaches the role owner with lower rank, if the role owner fails to attend to the request, the request automatically moves up to the role owner's rank as part of the escalation process designed during the workflow.</p>
        </div>
        <p class="auto-cursor-target"><strong>Removing Role Owner</strong>
        </p>
        <p>You can also remove the role owner from a particular role.<br />To remove role owner from a role, perform the following steps:</p>
        <ol>
            <li>From the&#160;<strong>Role Owner</strong>&#160;tab, select single or multiple role owners.</li>
            <li>Click&#160;<strong>Remove Role Owner.</strong></li>
        </ol>
        <h4 id="CreatingRoles-ExportingRoleOwnerslist">Exporting Role Owners list</h4>
        <p>You can export the list of role owners associated with a role.&#160;<br />To export the list of role owners, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <strong>Edit Role</strong> button for the desired role.</li>
            <li>Select <strong>Role Owner</strong> tab.</li>
            <li>Click&#160;<strong>Actions</strong>&#160;arrow&#160;and select the required format in the <strong>Export</strong>. The export formats supported are CSV and MS excel.<br /></li>
            <li>The&#160;<strong>Save As a</strong>dialog window appears where you can enter the file name and save the export file into your desired local folder, as required. The exported file consists of all columns and their values available in <strong>Role Owner</strong> window.</li>
        </ol>
        <h2 id="CreatingRoles-UsersTab">Users Tab</h2>
        <p>Use this tab to manage users for the role.</p>
        <h4 id="CreatingRoles-AddingUsers">Adding Users</h4>
        <p>You need to assign users to the newly created role. These users are managing the role assigned to them.</p>
        <p>To add new user, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <strong>Edit Role</strong> button for the desired role.</li>
            <li>Select <strong>Users</strong> tab.</li>
            <li>Click&#160;<strong>Actions</strong>&#160;arrow&#160;and select&#160;<strong>Add user.</strong></li>
            <li><strong>Add Role User</strong> window appears which displays the user list.</li>
            <li>You can also use <strong>Advanced </strong>search&#160;option.&#160;Click <strong style="text-decoration: none;text-align: left;">Advanced</strong> search option to get different options to refine your search such as User Name, Status, Manager, Department Number including CustomProperty 1 to 40.&#160;</li>
            <li>Select single or multiple users from the list in <strong>Add Role User</strong>&#160;page and click&#160;<strong>Save.</strong>  &#160;You can view the newly added entitlements for the selected role from the&#160;<strong style="text-align: left;">Entitlement</strong>&#160;page.</li>
        </ol>
        <h4 id="CreatingRoles-RemovingUsers">Removing Users</h4>
        <p>You can remove assigned users from a role, if you intend they need not be part of the role.<br />To remove existing users from user list, perform the following steps:</p>
        <ol>
            <li>Navigate to the&#160;<strong>Users</strong>&#160;tab.</li>
            <li>Select single or multiple users and click&#160;<strong>Remove User.</strong></li>
        </ol>
        <h4 id="CreatingRoles-ExportingUsers">Exporting Users</h4>
        <p>You can also export the role users list to take a backup or store the user list.<br />To export role users list, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <strong>Edit Role</strong> button for desired role, and select <strong>Users</strong> tab.</li>
            <li>Click&#160;<strong>Actions</strong>&#160;arrow&#160;and select&#160;required format in the <strong>Export</strong>. The export formats supported are CSV and MS excel.</li>
            <li>The&#160;<strong>Save As&#160;</strong>dialog window appears where you can enter the file name and save the export file into your desired local folder, as required. The exported file consists of the appropriate columns and their values.</li>
        </ol>
        <h2 id="CreatingRoles-EntitlementTab">Entitlement Tab</h2>
        <p>As the role is made up of a collection of entitlements, either a single entitlement or group of entitlements can be assigned per role. These entitlements dictate user (role assignee) responsibility in managing an application. This sub-tab displays the entitlements; the entitlements can be sorted based on the selection of the columns.</p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">Users can assign an entitlement to the role of this section. For more information about creating or uploading&#160;an entitlement, see <MadCap:xref href="Creating-Entitlements.htm">Creating Entitlements</MadCap:xref>.</p>
        </div>
        <h4>Adding Entitlements</h4>
        <p>You can add the new entitlement to an existing role based on the requirement for accessing and managing an application. The entitlements assigned to a role are defined as what a user is capable of doing within the application.&#160;<br class="atl-forced-newline" />To add the new entitlement to the role user, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <b>Edit Role</b> &gt; Select&#160;<strong>Entitlement</strong>&#160;tab.</li>
            <li>Click&#160;<strong>+Add Entitlement</strong>. The&#160;<strong>Add Entitlement</strong> window is displayed.&#160;<br /></li>
            <li>Select single or multiple entitlements from '<strong>Add Entitlement</strong>' page and click&#160;<strong>Save. </strong>Newly added entitlements for the selected role can be viewed from the&#160;<strong>Entitlement</strong>&#160;page.<br /></li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you cannot&#160;add an entitlement to an existing role,&#160;watch the <a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43199289476/original/User unable to add Entitlements to Application Role.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20220127%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20220127T201649Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=d10988ed00091e75e9900707206e3b3b34f2628b7c1b7ad2756a9426fbc377a2">Troubleshooting Video</a> to resolve it.</p>
        </div>
        <h4 id="CreatingRoles-RemovingEntitlements">Removing Entitlements</h4>
        <p>You can remove assigned entitlements from a role if you intend they need not be part of the role.<br />To remove assigned entitlement from the list from the Entitlement tab, select single or multiple entitlements&#160;and click<strong> Remove</strong>.</p>
        <h2 id="CreatingRoles-GroupsTab">Groups Tab</h2>
        <p>Use this tab to manage Child roles, class, suggested users, and role references.</p>
        <h4 id="CreatingRoles-ChildRoles">Child Roles</h4>
        <p>Considering the role you are working on, as a parent role, the user can also assign a role as a child under the parent role. If you plan to add new entitlements to a role, you may also want to consider listing the role already having these entitlements as a child under a parent role. The advantage, in this case, is if a user requests for new entitlements listed under the Child role, the application checks if the user is also assigned with the entitlements available under the parent role. On the contrary, if the user requests for entitlements available under the parent role, the user is assigned with the Child role entitlements as well by default. This scenario provides conditional access to the application on a&#160;need basis.</p>
        <h4 id="CreatingRoles-AddingChildRoles">Adding Child Roles</h4>
        <p>To add a new child to a role, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <b>Edit Role &gt; Groups</b> tab.</li>
            <li>Click&#160;<strong>Actions</strong>,&#160;and then select&#160;<strong>Add Child to Role.</strong></li>
            <li>Search and select single or multiple Child roles from the '<strong>Add Child Role For</strong>' page and click&#160;<strong>Save</strong>. A newly added Child role can be viewed from the&#160;<strong>Child Role</strong>&#160;page.</li>
        </ol>
        <h4 id="CreatingRoles-RemovingChildRoles">Removing Child Roles</h4>
        <p>You can also remove a Child role.<br />To remove a Child role, from the&#160;<strong>Group/s &gt; Child Roles</strong>&#160;tab, select single or multiple Child roles and click&#160;<strong>Remove Child Role.</strong></p>
        <h4 id="CreatingRoles-ExportingChildRolelist">Exporting Child Role list</h4>
        <p>You can export the list of Child roles associated with a role.&#160;<br />To export, perform the following steps:</p>
        <ol>
            <li>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</li>
            <li>Click <b>Edit Role &gt; Group/s &gt; Child Roles</b>&#160;tab.</li>
            <li>Click&#160;<strong>Actions </strong>arrow&#160;and select&#160;the required format in&#160;<strong>Export</strong>. The export formats supported are CSV and Microsoft Excel.</li>
            <li>The&#160;<strong>Save As&#160;</strong>dialog window appears where you can enter the file name and save the export file into your desired local folder, as required. The exported file consists of the appropriate columns and their values.</li>
        </ol>
        <h2 id="CreatingRoles-SODTab">SOD Tab</h2>
        <p>Use this tab to view the violating entitlements causing SOD violations for one or more functions <span class="inline-comment-marker">associated with</span> this role. You can also export the SOD violation as required.</p>
        <p>The table provides information about the SOD violation in the following columns:</p>
        <ul>
            <li>
                <p>Risk</p>
            </li>
            <li>
                <p>Level of risk involved</p>
            </li>
            <li>
                <p>Actual entitlement causing violation</p>
            </li>
            <li>
                <p>Description of the entitlement causing violation</p>
            </li>
        </ul>
        <h2 id="CreatingRoles-DynamicAttributeTab">Dynamic Attribute Tab</h2>
        <p>This list displays all the dynamic attributes, associated with the selected endpoint on Role Detail tab. Users can also add new dynamic attributes on requirement basis.&#160;<br />To add new dynamic attribute to a role, perform the following steps:</p>
        <ol>
            <li>
                <p>Select <b>Admin &gt; Identity Repository &gt; Roles</b>.</p>
            </li>
            <li>
                <p>Click <strong>Edit Role &gt; Dynamic Attribute</strong>&#160;tab.</p>
            </li>
            <li>
                <p>Click&#160;<strong>Actions</strong>&#160;and select&#160;<strong>Add Attribute.</strong></p>
            </li>
            <li>
                <p>Enter the details as per requirement and click&#160;<strong>Save.</strong></p>
            </li>
        </ol>
        <p>You can refer the following configuration table for dynamic attribute details on the parameters:</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Attribute Name</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Enter the name of the dynamic attribute.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Attribute Type</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Describes the type of the attribute. </p>
                        <p class="table-text">For attribute type, following options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">Boolean</p>
                            </li>
                            <li>
                                <p class="table-text">Number</p>
                            </li>
                            <li>
                                <p class="table-text">String</p>
                            </li>
                            <li>
                                <p class="table-text">Enum</p>
                            </li>
                            <li>
                                <p class="table-text">Multiple select</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Value</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Specify the conditions based on the attribute you select, the field is enabled only for Enum and Multiple select attributes.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Default Values</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Depending on the type of attribute selected, user can enter default values for the dynamic attribute.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2>History Tab</h2>
        <p>The <strong>History&#160;</strong>option displays the number of modifications made to the role. Audit trail and history of changes for role-entitlement bulk upload or role metadata changes along with role metadata or role-entitlement or role-child role mapping is maintained with this tab.&#160;You can find the following categories of changes in this page:</p>
        <ul>
            <li><strong>Versioned changes: </strong>The changes backed-up by approval from a role owner.</li>
            <li><strong>Non versioned changes: </strong>The changes made but still pending for approval (composing state).</li>
        </ul>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">The role change log is displayed&#160;only after the role is sent for approval from <strong>Versions</strong> Tab.&#160;The <strong>Version</strong>, <strong>Role History</strong>&#160;and <strong>Role Approval</strong> pages (from <strong>Admin &gt; Identity Repository &gt; Roles</strong>) now display system time instead of UTC time.</p>
        </div>
        <p>The role details are displayed in the following columns:</p>
        <ul>
            <li>
                <p><b>Field:</b> Displays the appropriate field names.</p>
            </li>
            <li>
                <p><b>Old Value:</b> Displays the appropriate old value in the field.</p>
            </li>
            <li>
                <p><b>New Value:</b> Displays the appropriate changed new value in the field.</p>
            </li>
            <li>
                <p><b>Operation:</b> Displays the operation or activity type. The following<span class="inline-comment-marker"> options are available</span>:<br /></p>
                <ul>
                    <li>
                        <p><b>Modified:</b> Displays this option if the value in the field is modified.</p>
                    </li>
                    <li>
                        <p><b>Added:</b> Displays this option if the value in the field is newly added.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p><b>Comments:</b> Displays the appropriate comments.</p>
            </li>
            <li>
                <p><b>Update User:</b> Displays the name of the user who updated the field value (modified or added).</p>
            </li>
            <li>
                <p><b>Modified On:</b> Displays the date with a timestamp.</p>
            </li>
        </ul>
        <h2 id="CreatingRoles-VersionsTab">Versions Tab</h2>
        <p>This tab displays all the versions of the role pending for approval. You can select an appropriate version of the role, and can either discontinue the selected role by clicking&#160;<strong>Discontinue</strong>&#160;from&#160;<strong>Action</strong>&#160;column, or send the role for approval, by clicking on&#160;<strong>Send for Approval</strong>.</p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">The <b>Version, Role History</b>, and <strong>Role Approval</strong> pages (from <strong>Admin &gt; Identity Repository &gt; Roles</strong>) now display system time instead of UTC time.</p>
        </div>
        <h2 id="CreatingRoles-BusinessProcessTab">Business Process Tab</h2>
        <p>This tab displays the list of business processes associated with the role. You can only add a business process to a role from this tab or export the assigned business process from this tab. For more information about creating business processes, see <MadCap:xref href="../../Chapter14-Managing-Segregation-of-Duties/Managing-Business-Processes.htm">Managing Business Processes</MadCap:xref>.</p>
        <h2 id="CreatingRoles-FunctionTab">Function Tab</h2>
        <p>This tab displays the list of functions associated with the role. You can only export associated functions using this tab.For more information about&#160;creating or uploading functions, see&#160;<MadCap:xref href="../../Chapter14-Managing-Segregation-of-Duties/Managing-Functions.htm">Managing Functions</MadCap:xref>.</p>
        <h2 id="CreatingRoles-EntitlementHierarchyTab">Entitlement Hierarchy Tab</h2>
        <p>This is a graphical representation of all the entitlements in hierarchical order listed under a role.</p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">Any role modification initiates the approval workflow for the modified role. If a role is modified in any aspect, the role becomes deactivated and moves to composing state. The modified role has to be approved by the respective role owner or user group, for the role to be moved from composing state back to the active state.</p>
        </div>
    </body>
</html>